﻿local NAME, addon = ...

local locales = {
	enUS = {
		roll_anchor = "Group Rolls",
		watch_anchor = "Roll Tracking",
		config_panels = {
			options = "Options"
		},
		config_groups = {
			general = GENERAL
		},
		config = {
			text_outline = 'Outline text',
			scale = "Scale",
			direction = "Growth direction",
			small = "Small",
			large = "Large"
		}
	},
	-- Possibly localized
	ptBR = {},
	frFR = {},
	deDE = {},
	koKR = {},
	esMX = {},
	ruRU = {},
	zhCN = {},
	esES = {},
	zhTW = {},
}

-- Automatically inserted translations
-- See: http://wow.curseforge.com/addons/xlootgroup/localization/ to create or fix translations
locales.ptBR.config = {
}
locales.ptBR.config_panels = {
}

locales.frFR.config = {
}
locales.frFR.config_panels = {
}

locales.deDE.config = {
}
locales.deDE.config_panels = {
}

locales.koKR.config = {
}
locales.koKR.config_panels = {
}

locales.esMX.config = {
}
locales.esMX.config_panels = {
}

locales.ruRU["roll_anchor"] = "Выборы группы" -- Needs review
locales.ruRU.config = {
}
locales.ruRU.config_panels = {
}

locales.zhCN.config = {
}
locales.zhCN.config_panels = {
}

locales.esES.config = {
}
locales.esES.config_panels = {
}

locales.zhTW.config = {
}
locales.zhTW.config_panels = {
}


local L = locales[GetLocale()] and locales[GetLocale()] or locales.enUS
if L ~= locales.enUS then
	setmetatable(L, { __index = locales.enUS })
	for k, v in pairs(L) do	
		if type(v) == 'table' then
			setmetatable(v, { __index = locales.enUS[k] })
		end
	end
end
addon.L = L
